Loading...
Searching...
No Matches
pcl::common::IntensityFieldAccessor< PointT > Struct Template Reference

`#include <pcl/common/intensity.h>`

## Public Member Functions

float | operator() (const PointT &p) const
| get intensity field
void | get (const PointT &p, float &intensity) const
| gets the intensity value of a point
void | set (PointT &p, float intensity) const
| sets the intensity value of a point
void | demean (PointT &p, float value) const
| subtract value from intensity field
void | add (PointT &p, float value) const
| add value to intensity field

## Detailed Description

template<typename PointT>
struct pcl::common::IntensityFieldAccessor< PointT >

Definition at line 50 of file intensity.h.

## Member Function Documentation

## add()

template<typename PointT>

void pcl::common::IntensityFieldAccessor< PointT >::add | ( | PointT & | p,
|  | float | value ) const

inline

add value to intensity field

Parameters

  | p | point for which to modify intensity
  [in] | value | value to be added to point intensity

Definition at line 93 of file intensity.h.

## demean()

template<typename PointT>

void pcl::common::IntensityFieldAccessor< PointT >::demean | ( | PointT & | p,
|  | float | value ) const

inline

subtract value from intensity field

Parameters

  | p | point for which to modify intensity
  [in] | value | value to be subtracted from point intensity

Definition at line 84 of file intensity.h.

## get()

template<typename PointT>

void pcl::common::IntensityFieldAccessor< PointT >::get | ( | const PointT & | p,
|  | float & | intensity ) const

inline

gets the intensity value of a point

Parameters

  | p | point for which intensity to be get
  [in] | intensity | value of the intensity field

Definition at line 66 of file intensity.h.

## operator()()

template<typename PointT>

float pcl::common::IntensityFieldAccessor< PointT >::operator() | ( | const PointT & | p | ) | const

inline

get intensity field

Parameters

  [in] | p | point

Returns
  p.intensity

Definition at line 57 of file intensity.h.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBL >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBNormal >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBL >::demean(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBNormal >::demean().

## set()

template<typename PointT>

void pcl::common::IntensityFieldAccessor< PointT >::set | ( | PointT & | p,
|  | float | intensity ) const

inline

sets the intensity value of a point

Parameters

  | p | point for which intensity to be set
  [in] | intensity | value of the intensity field

Definition at line 75 of file intensity.h.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBL >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBNormal >::add(), pcl::DisparityMapConverter< PointT >::compute(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGB >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBA >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBL >::demean(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZRGBNormal >::demean().

The documentation for this struct was generated from the following file:

- pcl/common/intensity.h